# Class EmeError`Abstract`

#### Hierarchy (view full)

- BasePlayerError
  - EmeError
    - EMEFailedToRequestMediaKeySystemAccessError
    - EMEFailedToCreateMediaKeysError
    - EMEFailedToAttachMediaKeysToVideoElementError
    - EMEFailedToCreateMediaKeySessionError
    - EMEFailedToSetServerCertificateError
    - EMEFailedToGenerateLicenseRequestError
    - EMEFailedToUpdateSessionWithReceivedLicenseKeysError
    - EMEFailedToCloseSessionError
    - EMEFailedToLoadSessionBySessionIdError
    - EMEFailedToRemoveKeysFromSessionError

#####
Index

### Constructors

constructor

### Properties

category
code

## Constructors

### constructor

- new EmeError(): EmeError

- #### Returns EmeError

  Inherited from BasePlayerError.constructor

## Properties

### `Readonly` category

category: Eme = ErrorCategory.Eme

Overrides BasePlayerError.category

### `Readonly` `Abstract` code

code: ErrorCode

Inherited from BasePlayerError.code